1. DianServices
Bilidox
  • Raíz
    • TestService
      • valuesGetAll
      • valuesS3GetItem
      • valuesDBGetItem
      • countersDBGetItem
    • DianServices
      • NumberingRangeGetAll
        GET
      • StatusZipGetAll
        GET
      • DocumentGetItem (invoice)
        GET
      • DocumentGetItem (support)
        GET
      • DocumentGetItemPayroll
        GET
      • CustomerPartyGetItem
        GET
      • DocumentNotesGetAll
        GET
      • DocumentEventsGetAll
        GET
      • SendMailCreate
        POST
      • TestSetCreate
        POST
      • InvoiceCreate
        POST
      • InvoiceCreate Test
        POST
      • InvoiceCreate Copy OK
        POST
      • CreditnoteCreate
        POST
      • CreditnoteCreate Copy
        POST
      • EquivalentCreate
        POST
      • EquivalentCreate Copy
        POST
      • EquivalentSpdCreate
        POST
      • EquivalentSpdCreate Copy
        POST
      • SupportCreate
        POST
      • SupportCreate Copy
        POST
      • PayrollCreate
        POST
      • PayrollCreate Copy
        POST
      • EventCreate
        POST
      • EventCreate ProviderRadian
        POST
    • S3File
      • fileUrlGetItem
      • filePdfGetItem
      • fileXmlGetItem
      • fileCreate
    • DDBRepositories
      • typesGetAll
      • typesGetAllTaxes
    • DDBProvider
      • providerGetAll
      • providersGetItem
      • providersCreate
      • providersUpdate
    • DDBCompany
      • companyGetAll
      • companyGetItem
      • companyGetItemCounter
      • companyCreate
      • companyUpdate
      • companyUpdateAttach
    • DDBCounter
      • counterGetAll
      • counterGetItem
    • DDBCertificate
      • certificateGetAll
      • certificateGetItem
      • certificateFileGetItem
      • certificateCreate
      • certificateUpdate
    • DDBDocument
      • documentGetAll
      • documentGetItem
    • DDBPurchaseOrder
      • purchaseorderGetAll
      • purchaseorderGetItem
      • purchaseorderPaymentGetPayu
      • purchaseorderPaymentGetWompi
      • purchaseorderCreate
      • purchaseorderCreatePayment
      • purchaseorderCreatePayment Wompi
      • purchaseorderUpdate
    • DDBSoftware
      • softwareGetAll
      • softwareGetItem
      • softwareCreate
      • softwareUpdate
    • DDBNumeration
      • numerationGetAll
      • numerationGetItem
      • numerationCreate
      • numerationUpdate
    • DDBEmployee
      • employeeGetAll
      • employeeGetItem
      • employeeCreate
      • employeeUpdate
    • DDBCustomer
      • customerGetAll
      • customerGetItem
      • customerCreate
      • customerUpdate
    • DDBSupplier
      • supplierGetAll
      • supplierGetItem
      • supplierCreate
      • supplierUpdate
    • DDBItem
      • itemGetAll
      • itemGetItem
      • itemCreate
      • itemUpdate
    • DDBUser
      • userOauth
      • userGetAll
      • userGetItem
      • userCreate
      • userCreateIntegrations
      • userUpdate
      • userChangePassword
      • userForgotPassword
      • userResetPassword
    • DDBSecurity
      • tokenCreate
      • tokenCreateIntegrations
  1. DianServices

EventCreate

POST
/v1/dian/events/

Solicitud

Autorización
Proporciona tu token bearer en el encabezado
Authorization
al realizar solicitudes a recursos protegidos.
Ejemplo:
Authorization: Bearer ********************
Parámetros de consulta

Parámetros del Body application/json

Ejemplos

Respuestas

🟢200
application/json
Bodyapplication/json

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location '/v1/dian/events/?isTest=true&companyId=901084328&providerId=901084328' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "TypeCode": "030", //030-Acuse 031-Rechazo 032-Recepcion 033-Aceptacion
  "Number": 54,
  "Date": "2024-03-30T17:21:33.88",
  "ClaimCode": "01", //01-INCONSISTENCIA 02-NO_ENTREGADA_TOTAL 03- 04-SERVICIO_NO_PRESTADO //https://grafosoft-my.sharepoint.com/:x:/p/gerencia/Efmpn6axTDhOoVIf7nawHRkBNpUFhZScPHXtfGiP4YN8rg?e=PWqfdV
  "DocumentReference": {
    "Uuid": "daa7322a459a43cbcccb47fd2d88229df86914b66dc444c1aa92148c3bb8006379f5b3eedf135c31c44a5181546a4152",
    "Date": "2024-03-19T00:00:00",
    "SchemeName": "CUFE-SHA384",
    "TypeCode": "01", //01-Factura electrónica de Venta
    "Number": "CO0550036490"
  },
  "NumberingRange": {
    "Prefix": "EFVE"
  },
  "SoftwareProvider": {
    "Id": "ecf4f36c-6a79-4beb-b1dd-3183691b3b55",
    "Name": "901084328Cuental",
    "Pin": "84328",
    "TestSetId": "2ff4f34d-c8df-4c6d-bf48-1217d453ea56",
    "ProviderId": "901084328",
    "ProviderName": "GRAFOSOFT SAS",
    "Origin": "Cuental"
  },
  "SigningCertificate": {
    "Password": "OMzWmXwBKXTnyQGZ",
    "Token": "aHR0cHM6Ly9hcHAuY3VlbnRhbC5jb20vSW1hZ2VzQXJjaGl2by9DRl8yMDIzMDcwMTEwMzA1OTc2Ni5wMTJ-T016V21Yd0JLWFRueVFHWg"
  },
  "CompanyParty": {
    "Id": "901084328",
    "IdentificationType": "31",
    "Name": "GRAFOSOFT SAS"
  },
  "SupplierParty": {
    "Id": "860012336",
    "IdentificationType": "31",
    "Name": "INSTITUTO COLOMBIANO DE NORMAS TECNICAS Y CERTIFICACION ICONTEC"
  },
  "IssuerParty": {
    "Id": "901084328",
    "IdentificationType": "13", //13-CC
    "FirstName": "Gerencia",
    "FamilyName": "Grafosoft",
    "JobTitle": "Administrativo",
    "OrganizationDepartment": "Administrativo"
  }
}'
Respuesta Ejemplo de Respuesta
{}
Modificado en 2025-12-22 19:48:45
Anterior
PayrollCreate Copy
Siguiente
EventCreate ProviderRadian
Built with